/***** Global Slide *****/
.slide-right,
.slide-left {
  position: relative;
  width: 100%;
  opacity: 0;
  transition: 1.5s all ease;
  overflow: hidden;
}

.slide-right{
  /* transform: scale(0,1); */
  transform: translateX(-100px);
  opacity: 1;
}

.slide-left{
  transform: translateX(100px);
  opacity: 1;
}

/***** Slide Right *****/
.reveal.active .slide-right {
  transform: translateX(0px);
  /* transform: scale(1,1); */
  /* animation: 2s slide-right; */
  /* transition-property: opacity, transform, -webkit-transform; */
}

/***** Slide Left *****/
.reveal.active .slide-left {
  transform: translateX(0px);
  /* animation: 2s slide-left; */
  /* transition-property: opacity, transform, -webkit-transform; */
}

@keyframes slide-right {
  from {
    opacity: 0;
    transform: translateX(-50%);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes slide-left {
  from {
    opacity: 0;
    transform: translateX(50%);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

/***** Slide UP *****/
.reveal.active .slide-up {
  animation: 2s slide-up;
  transition-property: opacity, transform, -webkit-transform;
}

@keyframes slide-up {
  from {
    opacity: 0;
    transform: translateY(50%);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}